#!/bin/ksh
#set -x

PATCH_NAME=P410A-02M

myid=$(id | cut -f 2 -d '(' | cut -f 1 -d ')')
if [[ ${myid} != "root" ]]; then
   print "You must be root to uninstall this patch."
   return 1
fi

PATCH_DIR=$(dirname ${0})
cd ${PATCH_DIR}
PATCH_DIR=$(pwd)

if [[ ! -a data/UNDO.tar.Z ]]; then
   print "data/UNDO.tar.Z cannot be found."
   print "The original files cannot be restored."
   return 1
fi

print "Uninstalling patch files..."
slibclean
cd /usr/ldap
(rm -rf bin/${PATCH_NAME}* 2>&1) >/dev/null
compress -cd ${PATCH_DIR}/data/UNDO.tar.Z | tar xf -

print "IBM Directory Server has been restored to it's previous version."
